;

St_Reader_Plugin_Structure struc
	st_plugin_size			dd ?	;  
	st_plugin_string			dd ?	;    "St Reader converter"
	st_plugin_ver			dd ?	;     (   = 10    19,   20     )
	st_plugin_program_ver		dd ?	;     (   = 10) -  St Reader'
	st_plugin_options			dd ?	;    : 0-, 1-?
	st_plugin_ini_data_string_address	dd ?	;        ini , 0-   ( )
	st_plugin_ini_data_address		dd ?	;            ini  (         ), 0-   ( )
	st_plugin_format_number		dd ?	;     ,    ini-        (   )
	st_plugin_converter_veracity		dd ?	;    (  ,      ,      )  5- : 1- ,    , 5- , 0-  TXT-
	st_plugin_converter_unicode_flag	dd ?	;0=ANSI (1 byte), 1=unicode (2 bytes))
	st_plugin_converter_font_code		dd ?	;      : -1-    ,  . lfCharSet   LOGFONT
	st_plugin_converter_right_to_left_flag	dd ?	;0-   ( ), 1-  
	st_plugin_format_pattern_address	dd ?	;  pattern ( "*.htm;*.html")     (     )
	st_plugin_submenu_options		dd ?	;         : 0-, 1-?
	st_plugin_submenu_name_number		dd ?	;     Plugin_text_strings           , 0-  
	st_plugin_submenu_struct_number	dd ?	;  St_Plugin_Submenu_Structure, 0-  
	st_plugin_submenu_array_address	dd ?	;   St_Plugin_Submenu_Structure    , 0-  
	st_plugin_new_reading_text_position	dd ?	;   ( ,        ),           ,    (. st_plugin_submenu_array_address)
	st_plugin_string_proc_address		dd ?	;       (  =1- , =2- , =3-      Open,  )
	st_plugin_options_dlg_proc_address	dd ?	;     , 0-  
	st_plugin_format_proc_address		dd ?	;    
	st_plugin_convert_proc_address	dd ?	;   
	st_plugin_program_flags		dd ?	;      St Reader ( ) -  St Reader'
	st_plugin_program_directory_address	dd ?	;  ( \) -  St Reader'
	st_plugin_open_file_path_address	dd ?	;      -  St Reader'
	st_plugin_language_code_address	dd ?	; ,    (0-, <>0-) -  St Reader'
	st_plugin_language_name_address	dd ?	; ,    -  St Reader'
	st_plugin_code_table_address		dd ?	;    -  St Reader'
	st_plugin_code_determination_proc_address dd ?	;     (:   ,   ) -  St Reader'
	st_plugin_text_recoding_proc_address	dd ?	;   ,    -  St Reader'
	st_plugin_text_font_address		dd ?	; c LOGFONT     -  St Reader'
	st_plugin_text_font_color_address	dd ?	;     -  St Reader'
	st_plugin_text_background_color_address	dd ?	;     -  St Reader'
	st_plugin_reserved1			dd ?	;,  
	st_plugin_reserved2			dd ?	;,  
	st_plugin_reserved3			dd ?	;,  
	st_plugin_reserved4			dd ?	;,  
	st_plugin_reserved5			dd ?	;,  
St_Reader_Plugin_Structure ends

St_Reader_Plugin_Structure_size equ size St_Reader_Plugin_Structure


;st_plugin_ini_data_string_address -   ini       ,   
; .
;
; st_plugin_ini_data_address       ini-  , 
; ,       ini  st_plugin_ini_data_string_address
; st_plugin_ini_data_string_address=0   st_plugin_ini_data_address=0
;        ( )
;        st_plugin_ini_data_address    ,
;     ini- (        options,     
; (     ..)).     ini-    
;  options  ,        ,    
; .
;
;st_plugin_text_recoding_proc_address -     (:    
;(   1 ),   ,   (1  ),    
; (    ,      ),   .
;       (       ( 
; )    (  )),  0  .
;
;st_plugin_program_flags -        St Reader:
ST_READER_MAIN_ABILITIES = 0b ;= 0	;     (      !)
ST_READER_UNICODE = 1b 		;= 1	 	;    Unicode ( st_plugin_converter_unicode_flag)
ST_READER_CHARSET = 10b 	;= 2		;       ( st_plugin_converter_font_code)
ST_READER_RIGHT_TO_LEFT = 100b ;= 4	;     ( st_plugin_converter_right_to_left_flag)
;
;
;*******************************************************************
;
St_Plugin_Submenu_Structure struc
	st_plugin_submenu_item_name_number	dd ?	;     Plugin_text_strings          
	st_plugin_submenu_item_proc_address	dd ?	;  ,         ( :0-  , -1-   , 2-        st_plugin_text_position_address)
St_Plugin_Submenu_Structure ends

St_Plugin_Submenu_Structure_size equ size St_Plugin_Submenu_Structure 

;*******************************************************************
;    (        St Reader  
;   )
;
; = -1 (0FFFFh)
;St Reader test plugin-converter from St = -2 (0FFFEh)
;
;TXT = 0	-    
;St Reader HTML plugin from St = 1
;St Reader RTF plugin from St = 2
;St Reader FictionBook 2.0 (FB2) plugin from St = 3
;Microsoft Word DOC = 4			;!!!
;
;
;
;
;*******************************************************************

;*******************************************************************
;
;   
;
; = -1 (0FFFFh)
;0=WIN
;1=DOS
;2=KOI8R
;3=UTF-8
;
;
;
;
;*******************************************************************