;  -      St Reader
;Copyright () 2004-2007,  , -.


.386
locals
jumps
.model flat,stdcall
include win32.inc
include str_plug.inc

;INCLUDELIB COMCTL32.lib
;INCLUDELIB COMDLG32.lib
;INCLUDELIB CTL3D32.lib
INCLUDELIB GDI32.lib
INCLUDELIB KERNEL32.lib
INCLUDELIB USER32.lib

extrn            GlobalFree:PROC
extrn            lstrcatA:PROC
extrn            lstrcmpiA:PROC
extrn            GetFileSize:PROC
extrn            CloseHandle:PROC
extrn            ReadFile:PROC
extrn            CreateFileA:PROC
extrn            FindClose:PROC
extrn            FindNextFileA:PROC
extrn            FindFirstFileA:PROC
extrn            LoadStringA:PROC
extrn            GetDlgItemTextA:PROC
extrn            IsDlgButtonChecked:PROC
extrn            SendDlgItemMessageA:PROC
extrn            lstrcmpA:PROC
extrn            SetDlgItemTextA:PROC
extrn            CheckDlgButton:PROC
extrn            GlobalAlloc:PROC
extrn            EndDialog:PROC
extrn            DialogBoxParamA:PROC
extrn            lstrcpyA:PROC
extrn            lstrlenA:PROC
extrn            SetWindowTextA:PROC
extrn            GetLastError:PROC

.code

;-----------------------------------------------------------------------------

DLL_Entry proc uses ebx edi esi, hinstDLL:dword, fdwReason:dword, lpvReserved:dword

.data

plugin_hInst dd 0

.code
	cmp fdwReason,DLL_PROCESS_ATTACH
	je @@dll_process_attach
	cmp fdwReason,DLL_PROCESS_DETACH
	je @@dll_process_detach

	jmp @@exit_dll_entry

@@dll_process_attach:
	push hinstDLL
	pop plugin_hInst

	jmp @@exit_dll_entry

@@dll_process_detach:

	jmp @@exit_dll_entry

@@exit_dll_entry:

	mov eax,true

	ret

DLL_Entry endp


;+++++++++++++++++++++


	public St_Reader_Plugin_Entry
St_Reader_Plugin_Entry proc uses ebx ecx edi esi

;   St_Reader_Plugin_Structure

;: eax<>0 -    St_Reader_Plugin_Structure, 0 -   


.data

Plugin_Data_Struct St_Reader_Plugin_Structure <0>
Plugin_Submenu_Struct_Array dd St_Plugin_Submenu_Structure_size*2 dup(0)	;2  St_Plugin_Submenu_Structure  

my_format_pattern db "*.mtff",0
st_plugin_converter_ini_data_string db "E",0,"RB",0,"CHB",0,"COMBS",0,0
St_Reader_plugin_text db "St Reader converter",0

.data?

st_plugin_converter_ini_data db 256+1+3+1+5 dup(?)	;256   edit- ( ) +  1   radiobox'  combobox' + 3  (ON  OFF)  checkbox' + 5 

.code

	mov Plugin_Data_Struct.st_plugin_size, St_Reader_Plugin_Structure_size  ; 
	mov Plugin_Data_Struct.st_plugin_string,offset St_Reader_plugin_text  ;  "St Reader converter"
	mov Plugin_Data_Struct.st_plugin_ver,10     ;  1.0
	mov Plugin_Data_Struct.st_plugin_options,1  ;     
	mov Plugin_Data_Struct.st_plugin_ini_data_string_address,offset st_plugin_converter_ini_data_string  ;       INI-
	mov Plugin_Data_Struct.st_plugin_ini_data_address,offset st_plugin_converter_ini_data  ;     INI-
	mov Plugin_Data_Struct.st_plugin_format_number,-2	     ; My test format = -2,           (   str_plug.inc)
	mov Plugin_Data_Struct.st_plugin_converter_veracity,4  ;     - 4 ( 5)

	mov Plugin_Data_Struct.st_plugin_converter_unicode_flag,0        ;  ,    0
	mov Plugin_Data_Struct.st_plugin_converter_font_code,-1          ;  ,    -1
	mov Plugin_Data_Struct.st_plugin_converter_right_to_left_flag,0  ;  ,    0

	mov Plugin_Data_Struct.st_plugin_format_pattern_address,offset my_format_pattern  ;         

	mov Plugin_Data_Struct.st_plugin_submenu_options,1        ;         
	mov Plugin_Data_Struct.st_plugin_submenu_name_number,50   ;         lng-  1010 (     Plugin_text_strings  1010)
	mov Plugin_Data_Struct.st_plugin_submenu_struct_number,2  ;     
	mov Plugin_Data_Struct.st_plugin_submenu_array_address,offset Plugin_Submenu_Struct_Array  ;          

	mov Plugin_Data_Struct.st_plugin_string_proc_address,offset Plugin_text_strings		    ;       lng-   
	mov Plugin_Data_Struct.st_plugin_options_dlg_proc_address,offset St_Reader_Plugin_Options      ;    
	mov Plugin_Data_Struct.st_plugin_format_proc_address,offset St_Reader_Plugin_Convertor_Format  ;    
	mov Plugin_Data_Struct.st_plugin_convert_proc_address,offset St_Reader_Plugin_Convertor        ;   

;	mov Plugin_Data_Struct.st_plugin_reserved1,0
;	mov Plugin_Data_Struct.st_plugin_reserved2,0
;	mov Plugin_Data_Struct.st_plugin_reserved3,0
;	mov Plugin_Data_Struct.st_plugin_reserved4,0
;	mov Plugin_Data_Struct.st_plugin_reserved5,0

	mov ebx,offset Plugin_Submenu_Struct_Array  ;          

	mov [ebx+St_Plugin_Submenu_Structure].st_plugin_submenu_item_name_number,51  ;         lng-  1010 (     Plugin_text_strings  1010)
	mov [ebx+St_Plugin_Submenu_Structure].st_plugin_submenu_item_proc_address,offset PluginAboutMenuProc  ;           
	add ebx,St_Plugin_Submenu_Structure_size
	mov [ebx+St_Plugin_Submenu_Structure].st_plugin_submenu_item_name_number,52  ;         lng-  1010 (     Plugin_text_strings  1010)
	mov [ebx+St_Plugin_Submenu_Structure].st_plugin_submenu_item_proc_address,offset PluginGotoMenuProc  ;           

	mov eax,offset Plugin_Data_Struct

	ret

St_Reader_Plugin_Entry endp


;+++++++++++++++++++++

St_Reader_Plugin_Convertor proc uses ebx ecx edx edi esi, read_file_buffer_address:dword, read_file_length:dword, \
	converted_text_buffer_address:dword, new_text_length_address:dword, \
	tab_length:dword, prog_hwnd:dword
	

;        .       
;    GlobalAlloc   =GMEM_FIXED (     
;,  )         ANSI ,  
; ( )     ( ,   ),   
;    tab_length  .     ,   
;    crlf (0D0Ah)        =2

;: 
;read_file_buffer_address -  ,     

;read_file_length -     

;converted_text_buffer_address -    __ ,     
;  

;new_text_length_address -  ,       ( =0 
;  

;tab_length -      

;prog_hwnd - hwnd          ,  hwnd  

;: eax= , (eax=0 -   , eax=1 -   , eax=2 -   )

.data

ini_data_struct struc
	example_edit_string db 256 dup(?)
	example_radiobutton_state dd ?
	example_combobox_state dd ?
	example_checkbox_state dd ?
ini_data_struct ends

ini_data_structure ini_data_struct <0>

.code

;    INI-   ini_data_structure

	mov esi,offset st_plugin_converter_ini_data
	mov edi,offset ini_data_structure

;     E  INI-
	lea eax,ini_data_structure.example_edit_string

	call lstrcpyA, eax, esi

	call lstrlenA, esi

	add esi,eax
	inc esi

;     RB  INI-

;  =2      RB  INI=  "1",    =1
	mov ini_data_structure.example_radiobutton_state,2

	cmp byte ptr [esi],"1"
	jne @@radiobutton_state_code_created

	mov ini_data_structure.example_radiobutton_state,1

@@radiobutton_state_code_created:
	call lstrlenA, esi

	add esi,eax
	inc esi

;     CHB  INI-
	call lstrcmpA, esi, offset checkbox_on_code

;   CHB  INI=   "ON",     example_combobox_state   BST_UNCHECKED,  BST_CHECKED
	mov ini_data_structure.example_checkbox_state,BST_UNCHECKED

	cmp eax,0
	jne @@it_is_not_on_code

	mov ini_data_structure.example_checkbox_state,BST_CHECKED

@@it_is_not_on_code:
@@checkbox_state_code_created:
	call lstrlenA, esi

	add esi,eax
	inc esi

;       COMBS  INI-   0, 1  2;    
;"2"   ,    example_combobox_state = 0
	cmp byte ptr [esi],0
	je @@set_combobox_value_in_zero

	call String_asciiz_to_dword, esi

	cmp eax,2
	ja @@set_combobox_value_in_zero

	mov ini_data_structure.example_combobox_state,eax

	jmp @@text_convertation

@@set_combobox_value_in_zero:
	mov ini_data_structure.example_combobox_state,0


; 
@@text_convertation:
	mov esi,read_file_buffer_address
	mov ecx,read_file_length
	xor ebx,ebx

;       //mtff//
	cmp ecx,8		; //mtff//
	jb @@false_format
	
	cmp dword ptr [esi],"tm//"
	jne @@false_format

	add esi,4
	cmp dword ptr [esi],"//ff"
	je @@true_format

@@false_format:
;           ,      
;          (      )
	mov eax,1
	jmp @@zero_file_length

@@true_format:
	mov esi,read_file_buffer_address
	sub ecx,8

	mov eax,0
	cmp ecx,0
	je @@zero_file_length

	xor ebx,ebx

;
;     
;
@@loop_find_tabs_number:
	cmp byte ptr [esi],09h	;   = 09h
	jne @@tab_not_found

	inc ebx	;    

@@tab_not_found:
	inc esi

	loop @@loop_find_tabs_number

	mov eax,tab_length
	mul ebx
	mov ecx,read_file_length
	sub ecx,ebx
	add ecx,eax

	mov ebx,ecx	;ebx= 

;    ,        
;  
	call GlobalAlloc, GMEM_FIXED, ecx

	cmp eax,0
	je @@memory_error

	mov esi,converted_text_buffer_address
	mov [esi],eax

	mov esi,read_file_buffer_address
	add esi,8		;   //mtff//
	mov edi,eax
	mov ecx,read_file_length
	sub ecx,8		;   //mtff//
	sub ebx,8		;   //mtff//
	cmp ecx,0
	je @@zero_file_length

;
; :               
;             =tab_length
;
@@loop_converting_text:
	cmp byte ptr [esi],0	;  = 0
	je @@zero_found
	cmp byte ptr [esi],09h	;   = 09h
	je @@tab_found_during_converting

	movsb
	jmp @@next_loop_converting_text

@@tab_found_during_converting:
	push ecx

	mov ecx,tab_length

@@replacing_tab_on_spaces:
	mov byte ptr [edi]," "
	inc edi
	loop @@replacing_tab_on_spaces

	pop ecx
	inc esi

	jmp @@next_loop_converting_text

@@zero_found:
	mov byte ptr [edi]," "
	inc edi

@@next_loop_converting_text:
	loop @@loop_converting_text

;
;    ANSI.        
;   ANSI     ,   
;
	mov edi,Plugin_Data_Struct.st_plugin_code_table_address
	cmp dword ptr [edi],-1	;-1 -      
	jne @@recoding_text_block

;  
	mov edx,Plugin_Data_Struct.st_plugin_code_determination_proc_address
	mov esi,converted_text_buffer_address
	mov eax,[esi]

;   : eax= , ebx= 
	call edx, eax, ebx

	mov edi,Plugin_Data_Struct.st_plugin_code_table_address
	mov [edi],eax

@@recoding_text_block:
;       ,       
;   (  &nbsp; &quot; &#1103;  HTML),  
;     .        , 
;        ANSI  (  
;  ),        ..    .
;             ,
;            (     
;  - UTF-8).       ,       ( 
; GlobalAlloc   GMEM_FIXED)   ,     
;converted_text_buffer_address,          .

	mov edx,Plugin_Data_Struct.st_plugin_text_recoding_proc_address
	mov esi,converted_text_buffer_address
	mov eax,[esi]
	mov ecx,[edi]

; : eax=   ( )        
;  , ebx=  ( ) , ecx=  
	call edx, eax, ebx, eax, ecx

	mov edi,new_text_length_address
	mov [edi],eax

	mov end_text_position,eax	;    Plugin_goto_menu_dlg_proc -   
	mov middle_text_position,eax
	shr middle_text_position,1	;    Plugin_goto_menu_dlg_proc -   

	mov eax,0
	jmp @@exit_proc

@@memory_error:
;  
	mov edi,new_text_length_address
	mov dword ptr [edi],0
	mov eax,2
	jmp @@exit_proc

@@zero_file_length:
;  
	mov ebx,eax	;eax=0  1

	call GlobalAlloc, GMEM_FIXED, 5

	cmp eax,0
	je @@memory_error

	mov edi,converted_text_buffer_address
	mov [edi],eax

	mov edi,eax
	mov word ptr [edi],0A0DH
	mov edi,new_text_length_address
	mov dword ptr [edi],2
	mov eax,ebx	;eax=0  1

@@exit_proc:
	ret

St_Reader_Plugin_Convertor endp


;+++++++++++++++++++++

St_Reader_Plugin_Convertor_Format proc uses ebx edi esi, read_file_buffer_address:dword, read_file_length:dword, \
prog_hwnd:dword

;   
;
;:
;read_file_buffer_address -   

;read_file_length -  

;prog_hwnd - hwnd          ,  hwnd  

;: eax>0 -       -     
;eax=-1 -    

	cmp read_file_length,8	;//mtff//
	jb @@false_result
	
	mov esi,read_file_buffer_address
	cmp dword ptr [esi],"tm//"
	jne @@false_result

	add esi,4
	cmp dword ptr [esi],"//ff"
	je @@true_result	;    !!!


@@false_result:
	mov eax,-1	;  
	jmp @@exit_proc

@@true_result:
	mov eax,-2	;   = -2

@@exit_proc:
	ret

St_Reader_Plugin_Convertor_Format endp


;+++++++++++++++++++++

St_Reader_Plugin_Options proc uses ebx edi esi, prog_hwnd:dword

;  ,     ,     
;      ,   INI-  (  )  
;           INI-.
;  INI-        ( ),     
;,      ,          
;      -.
;      INI- - st_plugin_converter_ini_data -     
;St_Reader_Plugin_Convertor      ini_data_structure

;: 
;prog_hwnd -    ,      DLL

;: eax=0-   (    ,     ( )),
;eax<>0- ,  eax   st_plugin_converter_ini_data,   
;    INI-.        ,    
;    ( st_plugin_ini_data_string_address  St_Reader_Plugin_Structure)


;IDD_OPTIONS_DIALOG_BOX -        
;offset Plugin_options_dlg_proc -      
;offset st_plugin_converter_ini_data -   ,   ,   ,
;         St_Reader_Plugin_Entry, 
;st_plugin_ini_data_string_address  St_Reader_Plugin_Structure (      
;INI-    ( )

IDD_OPTIONS_DIALOG_BOX	=510

	call DialogBoxParamA, plugin_hInst, IDD_OPTIONS_DIALOG_BOX, prog_hwnd, offset Plugin_options_dlg_proc, offset st_plugin_converter_ini_data

	ret

St_Reader_Plugin_Options endp


;+++++++++++++++++++++

Plugin_options_dlg_proc proc uses ebx ecx edi esi, HDLG:dword, WMSG:dword, WPARAM:dword, LPARAM:dword

;    ,         INI-  
;    ,   INI-        ,
;     (      ,    
;)

IDC_EXAMPLE_EDIT_STATIC		=1100
IDC_EXAMPLE_EDIT			=105
IDC_EXAMPLE_COMBOBOX_STATIC		=1101
IDC_EXAMPLE_COMBOBOX		=106
IDC_GROUPBOX_EXAMPLE_RADIOBUTTON	=1102
IDC_EXAMPLE_RADIOBUTTON2		=104
IDC_EXAMPLE_RADIOBUTTON1		=103
IDC_EXAMPLE_CHECKBOX		=101

.data

checkbox_on_code db "ON",0
checkbox_off_code db "OFF",0
combobox_string1 db "String1",0
combobox_string2 db "String2",0
combobox_string3 db "String3",0
ini_data_string_address dd 0

;,     ,  ID  (items)     
;   LNG- (-1     )
dlg_language_strings_list dd -1, 1026, IDC_EXAMPLE_EDIT_STATIC, 1020, IDC_EXAMPLE_COMBOBOX_STATIC, 1021, \
IDC_GROUPBOX_EXAMPLE_RADIOBUTTON, 1022, IDC_EXAMPLE_RADIOBUTTON1, 1023, IDC_EXAMPLE_RADIOBUTTON2, 1024, \
IDC_EXAMPLE_CHECKBOX, 1025, IDCANCEL, 1027, 0

.code

	cmp [WMSG],WM_INITDIALOG
	je @@initializ_dlgproc
	cmp [WMSG],WM_COMMAND
	je @@dlgproc_command_message

	jmp @@false_dlgproc

@@initializ_dlgproc:


;    INI-   ini_data_structure

	mov esi,offset st_plugin_converter_ini_data
	mov edi,offset ini_data_structure

;     E  INI-
	lea eax,ini_data_structure.example_edit_string

	call lstrcpyA, eax, esi

	call lstrlenA, esi

	add esi,eax
	inc esi

;     RB  INI-

;  =2      RB  INI=  "1",    =1
	mov ini_data_structure.example_radiobutton_state,2

	cmp byte ptr [esi],"1"
	jne @@radiobutton_state_code_created

	mov ini_data_structure.example_radiobutton_state,1

@@radiobutton_state_code_created:
	call lstrlenA, esi

	add esi,eax
	inc esi

;     CHB  INI-
	call lstrcmpA, esi, offset checkbox_on_code

;   CHB  INI=   "ON",     example_combobox_state   BST_UNCHECKED,  BST_CHECKED
	mov ini_data_structure.example_checkbox_state,BST_UNCHECKED

	cmp eax,0
	jne @@it_is_not_on_code

	mov ini_data_structure.example_checkbox_state,BST_CHECKED

@@it_is_not_on_code:
@@checkbox_state_code_created:
	call lstrlenA, esi

	add esi,eax
	inc esi

;       COMBS  INI-   0, 1  2;    
;"2"   ,    example_combobox_state = 0
	cmp byte ptr [esi],0
	je @@set_combobox_value_in_zero

	call String_asciiz_to_dword, esi

	cmp eax,2
	ja @@set_combobox_value_in_zero

	mov ini_data_structure.example_combobox_state,eax

	jmp @@ini_data_string_analysed

@@set_combobox_value_in_zero:
	mov ini_data_structure.example_combobox_state,0

@@ini_data_string_analysed:
;       
	call Load_dialog_language, HDLG, offset dlg_language_strings_list

;     IDC_EXAMPLE_EDIT   255
	call SendDlgItemMessageA, HDLG, IDC_EXAMPLE_EDIT, EM_SETLIMITTEXT, 255, 0


	mov esi,LPARAM
	mov ini_data_string_address,esi

;  IDC_EXAMPLE_EDIT ,   INI- ( )
	lea eax,ini_data_structure.example_edit_string

	call SetDlgItemTextA, HDLG, IDC_EXAMPLE_EDIT, eax

; IDC_EXAMPLE_RADIOBUTTON1  IDC_EXAMPLE_RADIOBUTTON2
	cmp ini_data_structure.example_radiobutton_state,1
	jne @@second_radiobutton_on

	mov eax,IDC_EXAMPLE_RADIOBUTTON1
	jmp @@radiobuttons_on

@@second_radiobutton_on:
	mov eax,IDC_EXAMPLE_RADIOBUTTON2
	
@@radiobuttons_on:
	call CheckDlgButton, HDLG, eax, BST_CHECKED

; IDC_EXAMPLE_CHECKBOX
	mov eax,ini_data_structure.example_checkbox_state

	call CheckDlgButton, HDLG, IDC_EXAMPLE_CHECKBOX, eax

; IDC_EXAMPLE_COMBOBOX
	CALL SendDlgItemMessageA, HDLG, IDC_EXAMPLE_COMBOBOX, CB_ADDSTRING, 0, offset combobox_string1

	CALL SendDlgItemMessageA, HDLG, IDC_EXAMPLE_COMBOBOX, CB_ADDSTRING, 0, offset combobox_string2

	CALL SendDlgItemMessageA, HDLG, IDC_EXAMPLE_COMBOBOX, CB_ADDSTRING, 0, offset combobox_string3

	call SendDlgItemMessageA, HDLG, IDC_EXAMPLE_COMBOBOX, CB_SETCURSEL, ini_data_structure.example_combobox_state, 0

@@exit_initializ_dlgproc:
	jmp @@true_dlgproc

@@dlgproc_command_message:
	cmp word ptr [WPARAM],IDCANCEL
	je @@button_cancel_pressed
	cmp word ptr [WPARAM],IDOK
	je @@button_ok_pressed

	jmp @@false_dlgproc


@@button_ok_pressed:
;   IDC_EXAMPLE_EDIT
	lea eax,ini_data_structure.example_edit_string

	call GetDlgItemTextA, HDLG, IDC_EXAMPLE_EDIT, eax, MAX_PATH

;  IDC_EXAMPLE_RADIOBUTTON1  IDC_EXAMPLE_RADIOBUTTON2
	call IsDlgButtonChecked, HDLG, IDC_EXAMPLE_RADIOBUTTON1

	cmp eax,BST_CHECKED
	je @@first_radiobutton_checked

	call IsDlgButtonChecked, HDLG, IDC_EXAMPLE_RADIOBUTTON2

	cmp eax,BST_CHECKED
	je @@second_radiobutton_checked

@@first_radiobutton_checked:
	mov ini_data_structure.example_radiobutton_state,1
	jmp @@radiobutton_state_saved

@@second_radiobutton_checked:
	mov ini_data_structure.example_radiobutton_state,2

@@radiobutton_state_saved:
;  IDC_EXAMPLE_CHECKBOX
	call IsDlgButtonChecked, HDLG, IDC_EXAMPLE_CHECKBOX

	mov ini_data_structure.example_checkbox_state,eax

;  IDC_EXAMPLE_COMBOBOX
	call SendDlgItemMessageA, HDLG, IDC_EXAMPLE_COMBOBOX, CB_GETCURSEL, 0, 0

	mov ini_data_structure.example_combobox_state,eax

;   INI-,         
;    E
	mov edi,offset st_plugin_converter_ini_data
	lea eax,ini_data_structure.example_edit_string

	call lstrcpyA, edi, eax

	call lstrlenA, edi

	add edi,eax
	inc edi

;    RB
	mov eax,ini_data_structure.example_radiobutton_state
	add al,"0"

	mov [edi],al
	inc edi
	mov byte ptr [edi],0
	inc edi

;    CHB
	mov ebx,offset checkbox_on_code

	cmp ini_data_structure.example_checkbox_state,BST_CHECKED
	je @@save_checkbox_data_in_ini_string

	mov ebx,offset checkbox_off_code
	
@@save_checkbox_data_in_ini_string:
	call lstrcpyA, edi, ebx

	call lstrlenA, edi

	add edi,eax
	inc edi

;    COMBS
	mov eax,ini_data_structure.example_combobox_state
	add al,"0"
	mov [edi],al
	inc edi
	mov byte ptr [edi],0

	call EndDialog, [HDLG], ini_data_string_address

	jmp @@true_dlgproc

@@button_cancel_pressed:
	call EndDialog, [HDLG], 0

	jmp @@true_dlgproc

@@false_dlgproc:
	mov eax,false
	jmp @@exit_dlg_proc

@@true_dlgproc:
	mov eax,true

@@exit_dlg_proc:
	ret

Plugin_options_dlg_proc endp

;+++++++++++++++++++++

PluginAboutMenuProc proc uses ebx edi esi, prog_hwnd:dword
;      "About My test plugin"      
; My Test
;prog_hwnd - hwnd          ,  hwnd  

IDD_ABOUT_DIALOG_BOX = 511

	call DialogBoxParamA, plugin_hInst, IDD_ABOUT_DIALOG_BOX, prog_hwnd, offset Plugin_about_menu_dlg_proc, 0

	ret

PluginAboutMenuProc endp

;+++++++++++++++++++++

Plugin_about_menu_dlg_proc proc uses ebx ecx edi esi, HDLG:dword, WMSG:dword, WPARAM:dword, LPARAM:dword


IDC_ABOUT_STATIC	=1100

.data
;,     ,  ID  (items)     
;   LNG- (-1     )
about_dlg_language_strings_list dd -1, 1061, IDC_ABOUT_STATIC, 1011, 0

.code

	cmp [WMSG],WM_INITDIALOG
	je @@initializ_dlgproc
	cmp [WMSG],WM_COMMAND
	je @@dlgproc_command_message

	jmp @@false_dlgproc

@@initializ_dlgproc:
;       
	call Load_dialog_language, HDLG, offset about_dlg_language_strings_list

@@exit_initializ_dlgproc:
	jmp @@true_dlgproc

@@dlgproc_command_message:
	cmp word ptr [WPARAM],IDOK
	je @@button_ok_pressed
	cmp word ptr [WPARAM],IDCANCEL
	je @@button_ok_pressed

	jmp @@false_dlgproc

@@button_ok_pressed:
	call EndDialog, [HDLG], 0

	jmp @@true_dlgproc

@@false_dlgproc:
	mov eax,false
	jmp @@exit_dlg_proc

@@true_dlgproc:
	mov eax,true

@@exit_dlg_proc:
	ret

Plugin_about_menu_dlg_proc endp

;+++++++++++++++++++++

PluginGotoMenuProc proc uses ebx edi esi, prog_hwnd:dword
;      "My test goto in text"      
; My Test
;prog_hwnd - hwnd          ,  hwnd  

IDD_GOTO_DIALOG_BOX	= 512

	call DialogBoxParamA, plugin_hInst, IDD_GOTO_DIALOG_BOX, prog_hwnd, offset Plugin_goto_menu_dlg_proc, 0

	ret

PluginGotoMenuProc endp

;+++++++++++++++++++++

Plugin_goto_menu_dlg_proc proc uses ebx ecx edi esi, HDLG:dword, WMSG:dword, WPARAM:dword, LPARAM:dword


IDC_GROUPBOX_TEXT_GOTO	=1101
IDC_GOTO_BEGIN		=101
IDC_GOTO_MIDDLE		=102
IDC_GOTO_END		=103


.data
;,     ,  ID  (items)     
;   LNG- (-1     )
goto_dlg_language_strings_list dd -1, 1062, IDCANCEL, 1027, IDC_GROUPBOX_TEXT_GOTO, 1063, IDC_GOTO_BEGIN, 1064, \
	IDC_GOTO_MIDDLE, 1065, IDC_GOTO_END, 1066, 0

middle_text_position dd 0
end_text_position dd 0

.code

	cmp [WMSG],WM_INITDIALOG
	je @@initializ_dlgproc
	cmp [WMSG],WM_COMMAND
	je @@dlgproc_command_message

	jmp @@false_dlgproc

@@initializ_dlgproc:
;       
	call Load_dialog_language, HDLG, offset goto_dlg_language_strings_list

	call CheckDlgButton, HDLG, IDC_GOTO_BEGIN, BST_CHECKED

@@exit_initializ_dlgproc:
	jmp @@true_dlgproc

@@dlgproc_command_message:
	cmp word ptr [WPARAM],IDOK
	je @@button_ok_pressed
	cmp word ptr [WPARAM],IDCANCEL
	je @@button_cancel_pressed

	jmp @@false_dlgproc

@@button_ok_pressed:
;       
	call IsDlgButtonChecked, HDLG, IDC_GOTO_BEGIN

;    
	mov ebx,0
	cmp eax,BST_CHECKED
	je @@radiobutton_checked

	call IsDlgButtonChecked, HDLG, IDC_GOTO_MIDDLE

;    
	mov ebx,middle_text_position
	cmp eax,BST_CHECKED
	je @@radiobutton_checked

	call IsDlgButtonChecked, HDLG, IDC_GOTO_END

;    
	mov ebx,end_text_position
	cmp eax,BST_CHECKED
	je @@radiobutton_checked

@@radiobutton_checked:
	mov Plugin_Data_Struct.st_plugin_new_reading_text_position,ebx

	call EndDialog, [HDLG], 2	;2-        Plugin_Data_Struct.st_plugin_new_reading_text_position

	jmp @@true_dlgproc

@@button_cancel_pressed:
	call EndDialog, [HDLG], 0	;0-     

	jmp @@true_dlgproc

@@false_dlgproc:
	mov eax,false
	jmp @@exit_dlg_proc

@@true_dlgproc:
	mov eax,true

@@exit_dlg_proc:
	ret

Plugin_goto_menu_dlg_proc endp

;+++++++++++++++++++++

Plugin_text_strings proc uses ebx edi esi, current_language:dword, language_file_buffer_address:dword, \
	string_number:dword, string_buffer_address:dword, string_buffer_size:dword

;            

;: current_language: 0-, <>0- 
;      language_file_buffer_address -  -      ,
;      string_number=1, 2  3 (1- , 2- , 3-      Open,
;      50   -   ),
;      string_buffer_address=    ,
;      string_buffer_size=      
;: eax=0 -  , eax<>0 -    (   )


	mov ebx,string_buffer_address
	mov byte ptr [ebx],0

	cmp string_number,1		; "St Reader  -  St"
	je @@getting_string
	cmp string_number,2		; " -,      - St Reader.\r\nCopyright(c) 2007   . -."
	je @@getting_string
	cmp string_number,3		; "   My test"    
	je @@getting_string
	cmp string_number,50	;  " My test"
	je @@getting_string
	cmp string_number,51	;  "  My test"
	je @@getting_string
	cmp string_number,52	;  "My test   "
	je @@getting_string

	mov eax,0
	jmp @@exit_proc

@@getting_string:
	mov ebx,string_number
	add ebx,1010	;        lng-

	cmp current_language,0
	jne @@it_is_not_english_language
	
@@it_is_english_language:
	call LoadStringA, plugin_hInst, ebx, string_buffer_address, string_buffer_size

	jmp @@exit_proc

@@it_is_not_english_language:
	call Open_language_file

	cmp local_language_code,0	;LNG-        
	je @@it_is_english_language

	mov current_language_file_buffer_address,eax
	cmp current_language_file_buffer_address,0
	je @@exit_proc

	call Load_language_string, current_language_file_buffer_address, ebx, string_buffer_address, string_buffer_size

	cmp eax,0
	je @@load_string_eng
	jmp @@string_is_loaded_not_eng

@@load_string_eng:
	call LoadStringA, plugin_hInst, ebx, string_buffer_address, string_buffer_size

@@string_is_loaded_not_eng:
	push eax

	call GlobalFree, current_language_file_buffer_address

	pop eax
	mov current_language_file_buffer_address,0

	jmp @@exit_proc

@@exit_proc:
	ret

Plugin_text_strings endp


;---------------------------------------------

Load_language_string proc uses ebx ecx edx esi edi, language_file_buffer_address:dword, message_number:dword, \
	message_buffer_address:dword, message_buffer_length:dword

;       LNG-

;: language_file_buffer_address -  -      
;      message_number -         
;      message_buffer_address -      
;      message_buffer_length -       ,    
;      
;: eax=0 -   ,     eax=   (   )

.data?

number_string_buffer db 10 dup(?)

.code

	mov ebx,message_buffer_address
	mov byte ptr [ebx],0

	call Dword_to_string_asciiz, message_number, offset number_string_buffer

	call lstrlenA, offset number_string_buffer

	mov ebx,eax

	mov edi,offset number_string_buffer
	add edi,ebx
	mov word ptr [edi],"="
	inc ebx		;ebx           "="

	mov esi,language_file_buffer_address

	call lstrlenA, language_file_buffer_address

	mov ecx,eax	;ecx        
	cld

@@loop_search_crlf_and_number:
	cmp word ptr [esi],0A0Dh
	jne @@next_loop_search_crlf_and_number

	mov edx,esi
	mov eax,ecx
	mov ecx,ebx
	add esi,2

	mov edi,offset number_string_buffer

rep	cmpsb

	test ecx,ecx
	je @@string_found

	mov esi,edx
	mov ecx,eax

@@next_loop_search_crlf_and_number:
	inc esi
	dec ecx
	jnz @@loop_search_crlf_and_number

	mov eax,0		;     
	jmp @@exit_proc

@@string_found:
	mov edi,message_buffer_address
	mov ecx,message_buffer_length
	dec ecx 

@@loop_copy_message:
	cmp byte ptr [esi],0
	je @@exit_loop_copy_message
	cmp word ptr [esi],0A0Dh
	je @@exit_loop_copy_message
	cmp dword ptr [esi],"n\r\"	;\r\n
	jne @@copy_message_char

	mov word ptr [edi],0A0Dh	;     \r\n     CRLF (13,10  0D0Ah)
	add edi,2
	add esi,4
	sub ecx,3
	dec ecx
	jnz @@loop_copy_message

@@copy_message_char:
	movsb

	dec ecx
	jnz @@loop_copy_message

@@exit_loop_copy_message:
	mov byte ptr [edi],0
	mov eax,edi
	sub eax,message_buffer_address	;eax=   (   )

@@exit_proc:
	ret

Load_language_string endp

;---------------------------------------------

Load_dialog_language proc uses ebx ecx edx esi edi, current_hdlg:dword, strings_numbers_address:dword

;       

;:
;      strings_numbers_address -     :          
;          lng-,  2             
;      (      -1); 0     -     

.data

current_language_file_buffer_address dd 0

.data?

message_buffer db 1025 dup(?)

.code
	mov esi,strings_numbers_address
	mov ebx,[esi+4]	;     LNG-    

	mov edi,Plugin_Data_Struct.st_plugin_language_code_address
	cmp dword ptr [edi],0	;0-  , <>0 -  
	je @@open_window_text_eng

;   LNG-     
	call Open_language_file

;     
	cmp local_language_code,0	; =0  LNG-            -
	je @@open_window_text_eng

;     
	mov current_language_file_buffer_address,eax

	call Load_language_string, current_language_file_buffer_address, ebx, offset message_buffer, 1024

	cmp eax,0
	je @@open_window_text_eng
	jmp @@set_window_text

@@open_window_text_eng:
;    
	call LoadStringA, plugin_hInst, ebx, offset message_buffer, 1024

@@set_window_text:
;   
	call SetWindowTextA, current_hdlg, offset message_buffer


;     
	add esi,8

@@loop_set_items_texts:
	cmp dword ptr [esi],0	;      0     strings_numbers_address
	je @@exit_loop

	mov ebx,[esi+4]

	mov edi,Plugin_Data_Struct.st_plugin_language_code_address
	cmp dword ptr [edi],0	;0-  , <>0 -  
	je @@open_item_text_eng

	cmp local_language_code,0	; =0  LNG-            -
	je @@open_item_text_eng

	call Load_language_string, current_language_file_buffer_address, ebx, offset message_buffer, 1024

	cmp eax,0
	je @@open_item_text_eng
	jmp @@set_item_text

@@open_item_text_eng:
	call LoadStringA, plugin_hInst, ebx, offset message_buffer, 1024

@@set_item_text:
;     
	mov ebx,[esi]
	call SetDlgItemTextA, current_hdlg, ebx, offset message_buffer

	add esi,8
	jmp @@loop_set_items_texts

@@exit_loop:
	cmp current_language_file_buffer_address,0
	je @@exit_proc

	call GlobalFree, current_language_file_buffer_address

	mov current_language_file_buffer_address,0

@@exit_proc:
	ret

Load_dialog_language endp


;---------------------------------------------


Open_language_file proc uses ebx ecx edx esi edi

local @@file_size:dword, @@current_ecx:dword, @@file_handle:dword, @@find_handle:dword

;      LNG-     

;: 0-  , <>0-       

.data

find_data_struct WIN32_FIND_DATA <0>
language_template_name db "\*.lng",0
plugin_name_in_language_file db "St Reader test plugin-converter from St",0
lpFileSizeHigh dd 0
back_slash db "\",0
read_written_byte_number dd 0
local_language_code dd 0	;<>0        =0   

.data?

language_template_buffer db MAX_PATH dup(?)
language_file_buffer db MAX_PATH dup(?)
language_first_strings_buffer db 1024 dup(?)
current_language_buffer db 1024 dup(?)
current_language_file_path db MAX_PATH dup(?)

.code
	call lstrcpyA, offset language_template_buffer, Plugin_Data_Struct.st_plugin_program_directory_address

	call lstrcatA, offset language_template_buffer, offset language_template_name

; LNG-   
	call FindFirstFileA, offset language_template_buffer, offset find_data_struct

	cmp eax,INVALID_HANDLE_VALUE
	je @@set_english_current_language

	mov @@find_handle,eax

	jmp @@next_language_file_found

@@loop_count_languages_files:
	call FindNextFileA, @@find_handle, offset find_data_struct

	cmp eax,0
	jne @@next_language_file_found

	call FindClose, @@find_handle

	jmp @@set_english_current_language

@@next_language_file_found:
;LNG- 
;       LNG-
	call lstrcpyA, offset language_file_buffer, Plugin_Data_Struct.st_plugin_program_directory_address

	call lstrcatA, offset language_file_buffer, offset back_slash

	lea eax,find_data_struct.cFileName

	call lstrcatA, offset language_file_buffer, eax

	call CreateFileA, eax, GENERIC_READ, FILE_SHARE_READ, L 0, OPEN_EXISTING, FILE_ATTRIBUTE_NORMAL, L 0

	mov @@file_handle,eax

;  1024   LNG-      
	call ReadFile, eax, offset language_first_strings_buffer, 1024, offset read_written_byte_number, L 0

	call GetFileSize, @@file_handle, lpFileSizeHigh

	mov @@file_size,eax

	call CloseHandle, @@file_handle

	mov ecx,1024
	cmp ecx,@@file_size
	jbe @@file_size_less_then_selected_size

	mov ecx,@@file_size

@@file_size_less_then_selected_size:
	mov esi,offset language_first_strings_buffer
	mov edi,offset current_language_buffer

	cld

@@loop_get_program_name_from_file:
	cmp word ptr [esi],0A0Dh
	je @@exit_loop_get_program_name_from_file

	movsb

	loop @@loop_get_program_name_from_file

@@exit_loop_get_program_name_from_file:
	mov byte ptr [edi],0

	mov @@current_ecx,ecx

	call lstrcmpA, offset plugin_name_in_language_file, offset current_language_buffer

	cmp eax,0		;eax=0     LNG-     
	jne @@loop_count_languages_files

	mov ecx,@@current_ecx

	mov edi,offset current_language_buffer
	add esi,2

	cld

@@loop_get_language_name_from_file:
	cmp word ptr [esi],0A0Dh
	je @@exit_loop_get_language_name_from_file

	movsb

	loop @@loop_get_language_name_from_file

@@exit_loop_get_language_name_from_file:
	mov byte ptr [edi],0

	call lstrcmpiA, Plugin_Data_Struct.st_plugin_language_name_address, offset current_language_buffer

	cmp eax,0		;eax=0       LNG-      (  )
	jne @@loop_count_languages_files

	call lstrcpyA, offset current_language_file_path, Plugin_Data_Struct.st_plugin_program_directory_address

	call lstrcatA, offset current_language_file_path, offset back_slash

	lea eax,find_data_struct.cFileName

	call lstrcatA, offset current_language_file_path, eax

; LNG-         
	call CreateFileA, offset current_language_file_path, GENERIC_READ, FILE_SHARE_READ, L 0, OPEN_EXISTING, FILE_ATTRIBUTE_NORMAL, L 0

	mov esi,eax

	call GetFileSize, esi, lpFileSizeHigh

	inc eax
	mov edi,eax

	call GlobalAlloc, GMEM_FIXED, edi

	mov ebx,eax

	call ReadFile, esi, eax, edi, offset read_written_byte_number, L 0

	add edi,ebx
	dec edi
	mov byte ptr [edi],0

	call CloseHandle, esi

	mov local_language_code,1	;LNG-          
	mov eax,ebx

	jmp exit_proc

@@set_english_current_language:
	mov eax,0
	mov local_language_code,0	;    LNG-     

	jmp exit_proc

exit_proc:
	ret

Open_language_file endp

;---------------------------------------------

Dword_to_string_asciiz proc uses ebx ecx edx edi, number:dword, address:dword
;     

;:  (32 ),  ASCIIZ      
;: eax=      

	mov ebx,10
	xor ecx,ecx
	mov edi,address
	mov eax,number

@@non_zero_decimal_digit:
	xor edx,edx
	div ebx
	push edx
	inc ecx
	or eax,eax
	jne @@non_zero_decimal_digit

@@digit_loop_decimal_digit:
	pop edx
	add dl,'0'
	mov [edi],dl
	inc edi
	dec ecx
	cmp ecx,0
	jne @@digit_loop_decimal_digit

	mov byte ptr [edi],0
	mov eax,address

	ret

Dword_to_string_asciiz endp

;+++++++++++++++++++++

String_asciiz_to_dword proc uses ebx edx esi, address:dword
;      (  )
;:  asciiz 
;: eax =   

	mov ebx,10
	mov eax,0
	mov esi,address

@@convert_decimal_digit:
	cmp byte ptr [esi],0
	je @@no_multiplication

	xor edx,edx
	mov dl,[esi]
	sub dl,'0'
	cmp dl,0
	jb @@error_not_decimal_digit
	cmp dl,9
	ja @@error_not_decimal_digit

	add eax,edx
	inc esi

	cmp byte ptr [esi],0
	je @@no_multiplication

	mul ebx

	jmp @@convert_decimal_digit

@@error_not_decimal_digit:
	inc esi
	jmp @@convert_decimal_digit

@@no_multiplication:
	ret

String_asciiz_to_dword endp

;+++++++++++++++++++++


ends

end DLL_Entry